<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - salidacoverage.info - /home/qhxar/Desktop/TPI/tpi-algoritmos-i/ejercicios.cpp</title>
  <link rel="stylesheet" type="text/css" href="../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../index.html">top level</a> - <a href="index.html">home/qhxar/Desktop/TPI/tpi-algoritmos-i</a> - ejercicios.cpp<span style="font-size: 80%;"> (source / <a href="ejercicios.cpp.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">salidacoverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">36</td>
            <td class="headerCovTableEntry">36</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2019-06-10 10:35:58</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">10</td>
            <td class="headerCovTableEntry">10</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #include &quot;definiciones.h&quot;</a>
<span class="lineNum">       2 </span>            : #include &quot;ejercicios.h&quot;
<span class="lineNum">       3 </span>            : #include &quot;auxiliares.h&quot;
<a name="4"><span class="lineNum">       4 </span>            : </a>
<span class="lineNum">       5 </span>            : 
<span class="lineNum">       6 </span><span class="lineCov">         23 : bool esEncuestaValida(eph_h th, eph_i ti) {</span>
<span class="lineNum">       7 </span><span class="lineCov">         23 :     return esValida(th, ti);</span>
<a name="8"><span class="lineNum">       8 </span>            : }</a>
<span class="lineNum">       9 </span>            : 
<span class="lineNum">      10 </span><span class="lineCov">          4 : vector&lt;int&gt; histHabitacional(eph_h th, eph_i ti, int region) {</span>
<span class="lineNum">      11 </span><span class="lineCov">          4 :     vector&lt;int&gt; res = {};</span>
<span class="lineNum">      12 </span><span class="lineCov">          4 :     int j = 1;</span>
<span class="lineNum">      13 </span><span class="lineCov">          4 :     int max = cantMaxHabitacionesEnHogEnReg(th, region);</span>
<span class="lineNum">      14 </span><span class="lineCov">         50 :     while (j &lt;= max) {</span>
<span class="lineNum">      15 </span><span class="lineCov">         23 :         res.push_back(cantHogaresCasaConNHabitaciones(th, region, j));</span>
<span class="lineNum">      16 </span><span class="lineCov">         23 :         j++;</span>
<span class="lineNum">      17 </span>            :     }
<span class="lineNum">      18 </span><span class="lineCov">          4 :     return res;</span>
<a name="19"><span class="lineNum">      19 </span>            : }</a>
<span class="lineNum">      20 </span>            : 
<span class="lineNum">      21 </span><span class="lineCov">          4 : vector&lt;float&gt; laCasaEstaQuedandoChica(eph_h th, eph_i ti) {</span>
<span class="lineNum">      22 </span><span class="lineCov">          4 :     vector&lt;float&gt; res(CANTIDAD_DE_REGIONES);</span>
<span class="lineNum">      23 </span><span class="lineCov">         28 :     for (int i = 0; i &lt; res.size(); i++) {</span>
<span class="lineNum">      24 </span><span class="lineCov">         24 :         res[i] = proporcionDeCasasConHC(th, ti, i + 1);</span>
<span class="lineNum">      25 </span>            :     }
<span class="lineNum">      26 </span><span class="lineCov">          4 :     return res;</span>
<a name="27"><span class="lineNum">      27 </span>            : }</a>
<span class="lineNum">      28 </span>            : 
<span class="lineNum">      29 </span><span class="lineCov">          3 : bool creceElTeleworkingEnCiudadesGrandes(eph_h t1h, eph_i t1i, eph_h t2h, eph_i t2i) {</span>
<span class="lineNum">      30 </span><span class="lineCov">          3 :     return proporcionTeleworking(t2h, t2i) &gt; proporcionTeleworking(t1h, t1i);</span>
<a name="31"><span class="lineNum">      31 </span>            : }</a>
<span class="lineNum">      32 </span>            : 
<span class="lineNum">      33 </span><span class="lineCov">          4 : void ordenarRegionYCodusu(eph_h &amp;th, eph_i &amp;ti) {</span>
<span class="lineNum">      34 </span><span class="lineCov">          8 :     eph_h auxh = th;</span>
<span class="lineNum">      35 </span><span class="lineCov">          8 :     eph_i auxi = ti;</span>
<span class="lineNum">      36 </span><span class="lineCov">          4 :     th = auxOrdenarPorCodusuEnRegion(auxh);</span>
<span class="lineNum">      37 </span><span class="lineCov">          4 :     ti = auxOrdenarPorComponenteAIndividuos(th, auxi);</span>
<a name="38"><span class="lineNum">      38 </span><span class="lineCov">          4 : }</span></a>
<span class="lineNum">      39 </span>            : 
<span class="lineNum">      40 </span><span class="lineCov">          7 : vector&lt;hogar&gt; muestraHomogenea(eph_h th, eph_i ti) {</span>
<span class="lineNum">      41 </span><span class="lineCov">          7 :     vector&lt;hogar&gt; res;</span>
<span class="lineNum">      42 </span><span class="lineCov">          7 :     ordenarTablaHogaresPorIngresos(th, ti);</span>
<span class="lineNum">      43 </span><span class="lineCov">          7 :     if (existeSolucionMuestraHomogeneaConAlMenos3(th, ti)) {</span>
<span class="lineNum">      44 </span><span class="lineCov">          4 :         res = mayorMuestraHomogenea(th, ti);</span>
<span class="lineNum">      45 </span>            :     }
<span class="lineNum">      46 </span><span class="lineCov">          7 :     return res;</span>
<a name="47"><span class="lineNum">      47 </span>            : }</a>
<span class="lineNum">      48 </span>            : 
<span class="lineNum">      49 </span><span class="lineCov">          3 : void corregirRegion(eph_h &amp;th, eph_i ti) {</span>
<span class="lineNum">      50 </span><span class="lineCov">          3 :     modificaRegionGBAaPampeana(th,ti);</span>
<a name="51"><span class="lineNum">      51 </span><span class="lineCov">          3 : }</span></a>
<span class="lineNum">      52 </span>            : 
<span class="lineNum">      53 </span><span class="lineCov">          5 : float indiceGini(eph_h th, eph_i ti) {</span>
<a name="54"><span class="lineNum">      54 </span><span class="lineCov">          5 :     ordenarTablaHogaresPorIngresosPerCapita(th,ti);</span></a>
<span class="lineNum">      55 </span><span class="lineCov">          5 :     return calcularIndiceDeGini(th,ti);</span>
<span class="lineNum">      56 </span><span class="lineCov">          3 : }</span>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.13</a></td></tr>
  </table>
  <br>

</body>
</html>
